# Class Hl7Utils

Namespace
  adas_core.Domain.Utils

Assembly
  adas-core.Domain.dll

Provides static utility methods for working with HL7 (Health Level 7) data formats and messages.

    public static class Hl7Utils

Inheritance
  object
  Hl7Utils

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Methods

### ManageAutoAdt(Unit?, Unit?, ILogger, string)

Evalúa si se debe permitir el auto ADT basándose en la configuración de la unidad actual y la antigua.

    public static bool ManageAutoAdt(Unit? unitConfig, Unit? oldUnitConfig, ILogger logger, string type)

#### Parameters

`unitConfig` Unit

  Configuración de la unidad (Location)

`oldUnitConfig` Unit

  Configuración de la antigua unidad (OldLocation)

`logger` ILogger

  Logger para registrar advertencias

`type` string

  Tipo de mensaje HL7 que se va a procesar su entrada

#### Returns

bool

  true si se permite; false en caso contrario.